Subject: [os2genau_digest] No. 1756
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 9 Dec 2008 00:00:36 AET-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Monday 08 December 2008
 Number  1756
**************************************************

Subjects for today
 
1  Re:  Removing a BIOS password : Voytek Eymont" <voytek at sbt dot net dot au>
2  Re:  Java programming : David Bellair" <David.Bellair at rosebell dot com>
3  Re:  Java programming : Peter Moylan <peter at pmoylan dot org>

**= Email   1 ==========================**

Date:  Mon, 8 Dec 2008 06:25:43 +1100 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  Removing a BIOS password

<quote who="Chuck McKinnis">

> On Thinkpads the power on password (POP) can be cleared, the supervisor
> password (SVP) cannot.

> From the maintenance manual:

> Attention: If the SVP has been forgotten and cannot be
> made available to the servicer, there is no service procedure to reset the
> password. The system board must be replaced for a scheduled fee.

that reminds me, long, long time ago, on my TP750 or maybe TP770, I
couldn;t get into BIOS, anyhow, I phoned IBM support, and, eventually, the
IBM person told me to remove the battery,

I have read the above info, so I just said 'are you really sure I should
do that ?'

Thinkpad 'got stuffed', and, I successfully argued it was their
responsibility, and, they replaced whatever needed replacing, less the
scheduled fee

-- 
Voytek

----------------------------------------------------------------------------------
 
**= Email   2 ==========================**

Date:  Mon, 08 Dec 2008 17:45:07 +1100
From:  "David Bellair" <David.Bellair at rosebell dot com>
Subject:  Re:  Java programming

>Date:  Sun, 30 Nov 2008 20:52:44 +1100
>From:  Peter Moylan <peter at pmoylan dot org>
>Subject:   Java programming
>
>Has anyone ever written a Java program under OS/2? I've just tried a 
>simple "Hello World" program and it failed. The exact sequence of 
>commands was
>
>    javac HelloWorld.java
>    java HelloWorld.class
>
>and the error message was
>
>    java.lang.NoClassDefFoundError: HelloWorld/class

Hi guys

The answer to Peter's error is pretty simple; he should have used the command 
    java HelloWorld
not
    java HelloWorld.class
to run his HelloWorld program.

Admittedly the Java installation programs do leave the config.sys file in a bit of a mess because they don't clean out references to older versions of Java, and don't always add all the necessary stuff to the PATH.

I'm running OS/2 version 4.52 (inside Virtual PC running under Windows Vista) and when I looked today it had the runtimes only (not the development kits) for Java 1.1 and Java 1.3.1 which I assume were part of the standard OS/2 install (I might be wrong).  To check things out I installed the development kit for Java 1.3.0 (which I happened to have on an IBM Software Choice CD), renamed the Java11 and java131 directories (so they were unlikely to be used), removed all references to java11 and SWING_HOME from config.sys, and added C:\java13\jre\bin; to PATH (C:\java13\bin was already there).  I could then compile and run a simple HelloWorld Java program.

Cheers
David Bellair

[attachments have been removed]
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Mon, 08 Dec 2008 22:14:09 +1100
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  Java programming

David Bellair wrote:
> > From:  Peter Moylan <peter at pmoylan dot org>
> >
> > Has anyone ever written a Java program under OS/2? I've just tried
> > a simple "Hello World" program and it failed. The exact sequence of
> >  commands was
> >
> > javac HelloWorld.java java HelloWorld.class
> >
> > and the error message was
> >
> > java.lang.NoClassDefFoundError: HelloWorld/class
>
>  Hi guys
>
>  The answer to Peter's error is pretty simple; he should have used the
>  command java HelloWorld not java HelloWorld.class to run his
>  HelloWorld program.

No, it was simpler than that. I just had to add "." to the CLASSPATH.

I haven't gone back to check whether it makes a difference whether the 
".class" is explicitly mentioned as an argument to Java. My original 
problems were caused by the fact that I'd never learnt to program in 
Java. Now that I've read further into a Java textbook, I'm disappointed 
to discover that is yet another dialect of C, to the point where it even 
includes some of the most shocking design faults of C. (Question: what 
does "if (a=b=c)" mean? Answer: it's one of the design flaws that killed 
off PL/1, a language that, unlike modern programming languages, followed 
the bad Fortran habit of using "=" for assignment instead of comparison. 
Second question: what does "x?y:z" mean? Answer: it's a now-obsolete 
language feature dating from the era when the writers of C compilers 
didn't know how to do code optimisation.) Now that I've reached this 
point, I'm probably going to abandon Java as a viable programming language.

Your points about clearing up the PATH, LIBPATH, etc. are well taken. 
There is probably some scope for a new OS/2 application that tidies up 
the CONFIG.SYS, similar to the Windows programs that do a daily check 
for new bugs in the central registry. (Side question: the cleanup 
programs on my Windows laptop keep reporting that the majority of 
problems of this nature are caused by a buggy application called 
EXPLORER.EXE. Does anyone know of a replacement for this faulty program? 
For extra credit: how do you delete Internet Explorer from a Windows 
installation?) There used to be a program like this, but I've forgotten 
its name and in any case a lot of its recommendations are probably 
obsolete by now.

>  I'm running OS/2 version 4.52 (inside Virtual PC running under
>  Windows Vista)

I'm impressed. I've tried a number of virtualisation programs, including 
Virtual PC, to try to run WinXP under WinVista, without very much 
success. The reason I've had to do it is because Vista won't run some 
Windows programs that I need. Unfortunately some Windows applications 
don't run well, and some don't run at all, under Vista. What happened to 
upwards compatibility? At some stage I'll try to run those XP 
applications under OS/2 instead, but I haven't gotten around to it.

Hint to anyone buying a Windows machine: insist on getting XP installed. 
XP is a very major improvement over Vista.

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

----------------------------------------------------------------------------------